const system = require("../../../system");
const ServiceBase = require("../../sve.base");
const settings = require("../../../../config/settings");
class LogService extends ServiceBase {
  constructor() {
    super("operator", ServiceBase.getDaoName(LogService));
  }

  async SaveLogInfo(params){//添加日至信息到数据库
    var log = await this.dao.create(params);
    return system.getResultSuccess(log);
  }

}
module.exports = LogService;

// var tesk = new LogService();
// var par = {
//   user_id:1,
//   oper_type:0,
//   oper_name:"登录",
//   oper_date:(new Date()).Format("yyyy-MM-dd hh:mm:ss"),
// };
// tesk.SaveLogInfo(par).then(function(result){
//   console.log((result));
// }).catch(function(e){
//   console.log(e);
// });
